Skip to content
.seventhings.com

Prefill your credentials

Fill in your non-secret values to have them appear in the examples below. Stored locally in your browser.

Get user by uuid.

GET
/customer-api/v1/user/{userUuid}
curl --request GET \
--url https://your-instance.seventhings.com/customer-api/v1/user/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Get the information about the user by uuid.

userUuid
required
string format: uuid

The information about the user

Media typeapplication/json
object
uuid

The message uuid

string
id
integer
<= 9007199254740992
email

The users email

string
firstname

The users first name

string
nullable
lastname

The users last name

string
nullable
display_name

The users display name of combined name

string
nullable
Example
{
"uuid": "f9f9f9f9-f9f9f9-f9f9f9-f9f9f9f9f9f9",
"email": "user@example.com",
"firstname": "Max",
"lastname": "Miller",
"display_name": [
"Max Miller (user@example.com)",
"user@example.com"
]
}

Access token is missing or invalid.

You are not permitted to perform the requested operation.

Internal Server Error.